import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const chainBarManagementGetDashboard = createAsyncThunk(
  "CHAIN_BAR_MANAGEMNT_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `${
        d.province ? d.province + "parent-company-" : ""
      }dashboard-chain-allocation`,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role: getRoleFromUrl(),
          filter: "search",
          value: d.text ? d.text : "",
          state: d.state ? d.state : null,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
